> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# FormProviders Resource

The Forms feature of Docusign Rooms for Real Estate enables provides access to standard industry association forms that you can add to rooms.

**Note:** Forms is not a default feature and is currently only available in Rooms for Real Estate. To request access to Forms, contact your Docusign Account Manager.

## Methods supported

| Method                                                                                                   | Description                                                                                                        |
| -------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------ |
| [GetFormProviderAssociations](/docs/rooms-api/reference/forms/formproviders/getformproviderassociations) | GET `/restapi/v2/accounts/{accountId}/form_providers/{providerId}/associations` Gets all associations by provider. |

## FormProviders properties

| Property                   | Type            | Description                                                                                                                           |
| -------------------------- | --------------- | ------------------------------------------------------------------------------------------------------------------------------------- |
| `endPosition`              | integer (int32) | The last zero-based index position in the result set.                                                                                 |
| `formProviderAssociations` | array           |                                                                                                                                       |
| `nextUri`                  | string          | The URI for the next chunk of records based on the search request. This property is `null` for the last set of search results.        |
| `priorUri`                 | string          | The URI for the previous chunk of records based on the search request. This property is `null` for the first set of search results.   |
| `resultSetSize`            | integer (int32) | The number of results returned in this response.                                                                                      |
| `startPosition`            | integer (int32) | The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is `0`. |
| `totalRowCount`            | integer (int32) | The number of results in this reponse.                                                                                                |